/* 1ACONVRT
        THIS PROGRAM CONVERTS LOTUS 123 RELEASE 2.0 OR 2.01 OR TWIN SPREAD-
        SHEETS TO THE LOTUS 123 RELEASE 1A FORMAT.  IT DOES THIS BY FORCING
        BYTES AT OFFSET 0104 & 0105 TO 04 HEX IN THE CONVERTED FILE. */

#include <stdio.h>
#define BUFSIZE 1024
#define FIX1A '\x04'   /* hex 04 needed to replace in worksheet to make 1a */

main ()
{
FILE *input_file,*output_file;
char input_name[15],output_name[15],buffer[BUFSIZE];
char fix1a[] = "\x04";          /* hex 04 to stuff into worksheet header */
int c,firstrecord = 1,items;
fputs("\n               *** SPREAD SHEET CONVERSION PROGRAM ***\n",stdout);
fputs("*** Convert LOTUS 123 Release 2.X or TWIN to 123 Release 1A format ***\n\n",stdout);
fprintf(stdout,"Enter filename of worksheet to convert(include file extension): ");
fscanf(stdin,"%s",input_name);
fprintf(stdout,"Enter filename of converted worksheet(extension must be .WKS) : ");
fscanf(stdin,"%s",output_name);

input_file = fopen(input_name,"rb");
if(input_file == NULL) {
        fputs("*** Can't open or find input file ***",stdout);
        exit(0);
  }
output_file = fopen(output_name,"wb");
if(output_file == NULL) {
        fputs("*** Can't open output file ***",stdout);
        exit(0);
  }
        
fputs("Processing . . .\n",stdout);
while (items = fread(buffer,1,BUFSIZE,input_file) ) {    /* LOOP TILL DONE */
        if(firstrecord){                /* FOR FIRST RECORD ONLY:        */
          firstrecord = 0;              /* TURN OFF FLAG TO CHANGE BYTES */
        repmem(buffer+4,fix1a,1,2);     /* STUFF IN 2 BYTES WITH 04 HEX  */
        }
        fwrite(buffer,1,items,output_file);  /* WRITE TO OUTPUT FILE */
  }
fputs("Completed !\n",stdout);
}



